OptimoCMSDocs

Reviews

Site reviews

GET
/v1/sites/{siteId}/reviews

Authorization

ApiKeyAuth
X-Api-Key<token>

API key obtained from the CMS dashboard.

In: header

Path Parameters

siteId*string

Query Parameters

limit?integer
Default25
Rangevalue <= 100
cursor?string
status?string
Default"all"
Value in"all" | "pending" | "approved" | "rejected"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/sites/string/reviews"
{
  "data": [
    {
      "id": "string",
      "rating": 0,
      "text": "string",
      "author": "string",
      "approved": true,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "total": 0,
    "limit": 0,
    "nextCursor": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}